CVE-2008-2315

Impact:
Low
Public Date:
2008-07-31
CWE:
CWE-190
Bugzilla:
455008: CVE-2008-2315 python: Multiple integer overflows in python core

The MITRE CVE dictionary describes this issue as:

Multiple integer overflows in Python 2.5.2 and earlier allow context-dependent attackers to have an unknown impact via vectors related to the (1) stringobject, (2) unicodeobject, (3) bufferobject, (4) longobject, (5) tupleobject, (6) stropmodule, (7) gcmodule, and (8) mmapmodule modules. NOTE: The expandtabs integer overflows in stringobject and unicodeobject in 2.5.2 are covered by CVE-2008-5031.

Find out more about CVE-2008-2315 from the MITRE CVE dictionary dictionary and NIST NVD.

Red Hat Security Errata

Platform Errata Release Date
Red Hat Enterprise Linux 3 (python) RHSA-2009:1178 2009-07-27
Red Hat Enterprise Linux 4 (python) RHSA-2009:1177 2009-07-27
Red Hat Enterprise Linux 5 (python) RHSA-2009:1176 2009-07-27

Acknowledgements

Red Hat would like to thank David Remahl of the Apple Product Security team for responsibly reporting these issues.
Last Modified

CVE description copyright © 2017, The MITRE Corporation